Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet.event
Interface WindowEvent

All Superinterfaces:
  Event

public interface WindowEvent
extends Event

A `WindowEvent` is sent by a portlet window whenever the user or the portal interacts with its controls.

See Also:
  `WindowListener`, `WindowAdapter`

Field Summary
`static int` | `WINDOW_CLOSING` Event identifier indicating that a portlet window will be closed.
`static int` | `WINDOW_DETACHING` Event identifier indicating that a portlet window will be detached.
`static int` | `WINDOW_MAXIMIZING` Event identifier indicating that a portlet window will be maximized.
`static int` | `WINDOW_MINIMIZING` Event identifier indicating that a portlet window will be minimized.
`static int` | `WINDOW_MOVING` Event identifier indicating that a portlet window will be moved.
`static int` | `WINDOW_RESIZING` Event identifier indicating that a portlet window will be resized.
`static int` | `WINDOW_RESTORED` Event identifier indicating that a portlet window will be restored.

Methods inherited from interface org.apache.jetspeed.portlet.event.Event
`getRequest, getSession`

Field Detail

### WINDOW_DETACHING

    public static final int WINDOW_DETACHING

  Event identifier indicating that a portlet window will be detached.

  An event with this id is fired when the user has requested that the window be detached from the rest of the portlet page.

### WINDOW_MOVING

    public static final int WINDOW_MOVING

  Event identifier indicating that a portlet window will be moved.

  An event with this id is fired when the user has requested that the window be moved to a different location on the page.

### WINDOW_RESIZING

    public static final int WINDOW_RESIZING

  Event identifier indicating that a portlet window will be resized.

  An event with this id is fired when the user has requested that the window be resized.

### WINDOW_MAXIMIZING

    public static final int WINDOW_MAXIMIZING

  Event identifier indicating that a portlet window will be maximized.

  An event with this id is fired when the user has requested that the window be maximized.

### WINDOW_MINIMIZING

    public static final int WINDOW_MINIMIZING

  Event identifier indicating that a portlet window will be minimized.

  An event with this id is fired when the user has requested that the window be minimized.

### WINDOW_RESTORED

    public static final int WINDOW_RESTORED

  Event identifier indicating that a portlet window will be restored.

  An event with this id is fired when the user has requested that the window be restored to its previous size.

### WINDOW_CLOSING

    public static final int WINDOW_CLOSING

  Event identifier indicating that a portlet window will be closed.

  An event with this id is fired when the user has requested that the window be closed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD